--- old/usr/src/man/man9f/scsi_init_pkt.9f	Sat May 24 17:48:27 2014
+++ new/usr/src/man/man9f/scsi_init_pkt.9f	Sat May 24 17:48:27 2014
@@ -1,9 +1,10 @@
 '\" te
+.\"  Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2006, Sun Microsystems, Inc.,  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SCSI_INIT_PKT 9F "Jan 16, 2006"
+.TH SCSI_INIT_PKT 9F "May 24, 2014"
 .SH NAME
 scsi_init_pkt \- prepare a complete SCSI packet
 .SH SYNOPSIS
@@ -194,8 +195,8 @@
 .RS 4n
 This may be set if the driver can accept a partial \fBDMA\fR mapping. If set,
 \fBscsi_init_pkt()\fR will allocate \fBDMA\fR resources with the
-\fBDDI_DMA_PARTIAL\fR bit set in the \fBdmar_flag\fR element of the
-\fBddi_dma_req\fR(9S) structure. The \fBpkt_resid\fR field of the
+\fBDDI_DMA_PARTIAL\fR bit set in the DMA flags.
+The \fBpkt_resid\fR field of the
 \fBscsi_pkt\fR(9S) structure may be returned with a non-zero value, which
 indicates the number of bytes for which \fBscsi_init_pkt()\fR was unable to
 allocate DMA resources. In this case, a subsequent call to
@@ -371,7 +372,7 @@
 .LP
 \fBscsi_alloc_consistent_buf\fR(9F), \fBscsi_destroy_pkt\fR(9F),
 \fBscsi_dmaget\fR(9F), \fBscsi_pktalloc\fR(9F), \fBbuf\fR(9S),
-\fBddi_dma_req\fR(9S), \fBscsi_address\fR(9S), \fBscsi_pkt\fR(9S)
+\fBscsi_address\fR(9S), \fBscsi_pkt\fR(9S)
 .sp
 .LP
 \fIWriting Device Drivers\fR
